pro do_flatcalib,refimage_ds,refimage_ds_short,specimage_ds,specimage_ds_short, $
                 imageflat,specflat, $
                 refimage_ff,refimage_ff_short,specimage_ff,specimage_ff_short

; flat fielding of reference and spectroscopy images

  common gui,logger

  if !IRC_SPECRED_OBSPARAM.preflight_mode then begin ; no flat-fielding
     specimage_ff=      specimage_ds
     specimage_ff_short=specimage_ds_short
     refimage_ff=       refimage_ds
     refimage_ff_short= refimage_ds_short
     return
  endif else begin
; IMAG
     if !IRC_SPECRED_OBSPARAM.slit_mode then begin
        refimage_ff=refimage_ds
        refimage_ff_short=refimage_ds_short
     endif else begin
        logger->append,['---','Imag flat fielding...']
        irc_2dflatcalib,refimage_ds,      imageflat,refimage_ff
;        if ~ NIR() then begin
        irc_2dflatcalib,refimage_ds_short,imageflat,refimage_ff_short
;        endif else begin        ; no flat for NIR short
;           refimage_ff_short=refimage_ds_short
;        endelse
     endelse
; SPEC
     if !IRC_SPECRED_PROCESSOPTION.no_slit_flat || $
        (!IRC_SPECRED_OBSPARAM.Nh_mode || $
         !IRC_SPECRED_OBSPARAM.Ns_mode && NG()) $
     then begin
        specimage_ff=      specimage_ds
        specimage_ff_short=specimage_ds_short
     endif else begin
        logger->append,['---','Spec flat fielding (w/o color correction)...']
        irc_2dflatcalib,specimage_ds,      specflat,specimage_ff
;       if ~ NIR() then begin
        irc_2dflatcalib,specimage_ds_short,specflat,specimage_ff_short
;       endif else begin        ; no flat for NIR short
;          specimage_ff_short=specimage_ds_short
;       endelse
     endelse
  endelse
  
end
