pro correct_columnpulldown,inimage,outimage

  a=[-1.17627,0.00933036,-2.61962e-05,2.39375e-08]

  s=size(inimage) & if s[0] EQ 3 then n_frame=s[3] else n_frame=1
  xsize=s[1] & ysize=s[2]
  xarray=findgen(xsize)
  
  outimage=inimage
  
  for i=0,n_frame-1 do begin
     inimage_work=inimage[0:30,*,i]
;    inimage_local=median_xy(inimage_work,1,5)
;    inimage_bg=inimage_work-inimage_local
     inimage_local=point_remover(inimage_work,3,10)
     inimage_bg=inimage_local
     inimage_bg_1d=median(inimage_bg[*,*],dimension=1)
     plot,inimage_bg_1d,color=256
     empty
     noise=robust_sigma(inimage_bg_1d)
     pullpos=where(inimage_bg_1d LT -3.*noise, count)
     if count GT 0 then begin
        for line=0,count-1 do begin
           pull=inimage_bg_1d[pullpos[line]]
           aa=a*abs(pull)
           pull_func=aa[0]+aa[1]*xarray+aa[2]*xarray^2.+aa[3]*xarray^3.
           outimage[*,pullpos[line],i]-=pull_func
        endfor
     endif
  endfor
  
end
