pro set_superflat,type,flat,header

; SPEC
  case type of
     'spec': begin
        case !IRC_SPECRED_PROCESSTARGET.chip of
           0: case !IRC_SPECRED_PROCESSTARGET.grism of
              0: begin
                 if !IRC_SPECRED_OBSPARAM.Ns_mode then $
;                   filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_NP_slit.lst' $
                    filename='SPEC2DFLAT_NP_slit.lst' $
                 else $
;                   filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_NP.lst'
                    filename='SPEC2DFLAT_NP.lst'
              end
              1: begin
                 if !IRC_SPECRED_OBSPARAM.Np_mode then $
;                   filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_NG_slit.lst' $
                    filename='SPEC2DFLAT_NG_slit.lst' $
                 else $
;                   filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_NG.lst'
                    filename='SPEC2DFLAT_NG.lst'
              end
           endcase
           1: case !IRC_SPECRED_PROCESSTARGET.grism of
              0: begin
                 if !IRC_SPECRED_OBSPARAM.Ns_mode then $
;                   filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_SG1_slit.lst' $
                    filename='SPEC2DFLAT_SG1_slit.lst' $
                 else begin
                    if !IRC_SPECRED_PROCESSTARGET.flat_period EQ 0 then $
;                      filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_SG1.lst' $
                       filename='SPEC2DFLAT_SG1.lst' $
                    else $
;                      filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_SG1_P2.lst'
                       filename='SPEC2DFLAT_SG1_P2.lst'
                 endelse
              end
              1: begin
                 if !IRC_SPECRED_OBSPARAM.Ns_mode then $
;                   filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_SG2_slit.lst' $
                    filename='SPEC2DFLAT_SG2_slit.lst' $
                 else begin
                    if !IRC_SPECRED_PROCESSTARGET.flat_period EQ 0 then $
;                      filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_SG2.lst' $
                       filename='SPEC2DFLAT_SG2.lst' $
                    else $
;                      filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_SG2_P2.lst'
                       filename='SPEC2DFLAT_SG2_P2.lst'
                 endelse
              end
           endcase
           2: case !IRC_SPECRED_PROCESSTARGET.grism of
;             0: filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_LG1.lst'
              0: filename='SPEC2DFLAT_LG1.lst'
              1: begin
                 if !IRC_SPECRED_OBSPARAM.Ls_mode then $
;                   filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_LG2_slit.lst' $
                    filename='SPEC2DFLAT_LG2_slit.lst' $
                 else $
;                   filename=!IRC_SPECRED_DIR.calibdir+'FLAT/SPEC2DFLAT_LG2.lst'
                    filename='SPEC2DFLAT_LG2.lst'
              end
           endcase
        endcase
        irc_list_fits_read,filename,flatimage_nir,flatimage_mirs,flatimage_mirl, $
                           n_nir,n_mir,flatheader_nir,flatheader_mirs,flatheader_mirl, $
                           dir=!IRC_SPECRED_DIR.calibdir+'FLAT/',/SEPARATE
     end
   
     'image': begin
        case !IRC_SPECRED_PROCESSTARGET.chip of
;          0: filename=!IRC_SPECRED_DIR.calibdir+'FLAT/IMAG2DFLAT_N3.lst'
;          1: filename=!IRC_SPECRED_DIR.calibdir+'FLAT/IMAG2DFLAT_S9W.lst'
;          2: filename=!IRC_SPECRED_DIR.calibdir+'FLAT/IMAG2DFLAT_L18W.lst'
           0: begin
              if !IRC_SPECRED_PROCESSTARGET.flat_period EQ 0 then $
                 filename='IMAG2DFLAT_N3.lst' $
              else $
                 filename='IMAG2DFLAT_N3.lst'
           end

           1: begin
              if !IRC_SPECRED_PROCESSTARGET.flat_period EQ 0 then $
                 filename='IMAG2DFLAT_S9W.lst' $
              else $
                 filename='IMAG2DFLAT_S9W_P2.lst'
           end

           2: begin
              if !IRC_SPECRED_PROCESSTARGET.flat_period EQ 0 then $
                 filename='IMAG2DFLAT_L18W.lst' $
              else $
                 filename='IMAG2DFLAT_L18W_P2.lst'
           end

        endcase
        irc_list_fits_read,filename,flatimage_nir,flatimage_mirs,flatimage_mirl, $
                           n_nir,n_mir,flatheader_nir,flatheader_mirs,flatheader_mirl, $
                           dir=!IRC_SPECRED_DIR.calibdir+'FLAT/',/SEPARATE
     end
     
  endcase
  
  case !IRC_SPECRED_PROCESSTARGET.chip of
  0: begin flat=flatimage_nir  & header=flatheader_nir  & end
  1: begin flat=flatimage_mirs & header=flatheader_mirs & end
  2: begin flat=flatimage_mirl & header=flatheader_mirl & end
  endcase
  
  if !IRC_SPECRED_PROCESSOPTION.no_fov_mask EQ 1 then begin
     do_mask_load,source_table,fov_mask
     masked=where(finite(fov_mask,/NAN),count)
     if count GT 0 then flat[masked]=1.0
  endif

end
