pro show_refimage_with_marks,image,source_table

common CALC_SPECCOORD_PARAMS,specaper_dx,specaper_dy,imageaper_dx,imageaper_dy,x_offset,y_offset,x_zero_offset,y_zero_offset
;COMMON colors,black,magenta,cyan,yellow,green,red,blue,navy,aqua,orchid,sky,beige,charcoal,grey,white

tmp=where(source_table.image_x NE 0,n_source)
s=size(image) & xsize=s[1] & ysize=s[2]
if xsize LT 300 then plot_mag=2.0 else plot_mag=1.0

window,0,xsize=xsize*plot_mag,ysize=ysize*plot_mag,title='DAOFind Results'
 
imdisp,sigrange_irc(image),margin=0,ncolors=!D.N_COLORS-6
FOR i=0,n_source-1 DO $
  draw_ellipse,source_table[i].image_x*plot_mag,source_table[i].image_y*plot_mag, 4,4, $
  /device,psym=0,color=!IRC_SPECRED_COLOR.red
;FOR i=0,n_source-1 DO $
;  draw_ellipse, $
;  (source_table[i].image_x+x_zero_offset)*plot_mag,(source_table[i].image_y+y_zero_offset)*plot_mag, 4,4, $
;  /device,psym=0,color=!IRC_SPECRED_COLOR.blue     ; zero light
FOR i=0,n_source-1 DO $
  xyouts,source_table[i].image_x*plot_mag,source_table[i].image_y[i]*plot_mag,string(i), $
  /device,alignment=0.4,color=!IRC_SPECRED_COLOR.red

end
