pro irc_skysub_adopt,image,mask,image_bg,sigma,dx=dx,dy=dy,simple=simple
  
  if defined(dx) then width_x=dx else width_x=!IRC_SPECRED_SKYFITORDER.sky_fit_dx ; was 20
  if defined(dy) then width_y=dy else width_y=!IRC_SPECRED_SKYFITORDER.sky_fit_dy ; was 3

; if keyword_set(simple) then begin
     max_repeat=30
     edge_width=0               ; was fix(width_x/2)
     s=size(image) & xsize=s[1] & ysize=s[2]

     image_expand=make_array(xsize+2*edge_width,ysize+2*edge_width,/float,value=!values.f_nan)
     image_expand[edge_width:xsize+edge_width-1,edge_width:ysize+edge_width-1]=image

     mask_expand=make_array(xsize+2*edge_width,ysize+2*edge_width,/float,value=!values.f_nan)
     mask_expand[edge_width:xsize+edge_width-1,edge_width:ysize+edge_width-1]=mask

     image_med=filter_image(image_expand,median=width_x)
;    image_med=image_expand

     dx0=fix(width_x/2) & dy0=fix(width_y/2) & repeat_count=0
     dx1=dx0 & dy1=dy0
     if MIRS() then x_offset=22 else x_offset=0; to exclude slit-masked area for speeding up the calculation...
     for x=edge_width+x_offset,xsize+2*edge_width-1 do begin
        for y=edge_width,ysize+2*edge_width-1 do begin
;          if finite(image_med[x,y]) then continue
           expand_medsize:
           image_cut=image_expand[x-dx1>0:x+dx1<xsize+2*edge_width-1,y-dy1>0:y+dy1<ysize+2*edge_width-1] $
                     * mask_expand[x-dx1>0:x+dx1<xsize+2*edge_width-1,y-dy1>0:y+dy1<ysize+2*edge_width-1]
           nonnan=where(finite(image_cut),count)
           if count GT (1*dx1+1)*(1*dy1+1)*0.5 || repeat_count GT max_repeat then begin
              image_med[x,y]=median(image_cut)
              repeat_count=0
              dx1=dx0
              dy1=dy0
           endif else begin
              dx1+=2
              dy1+=2
              repeat_count+=1
;             print,'repeating',repeat_count,dx1,dy1
              goto,expand_medsize
           endelse
        endfor
     endfor
     
     image_med=image_med[edge_width:xsize+edge_width-1,edge_width:ysize+edge_width-1]
;  endif else $
;     image_med=meanclip_smooth(image*mask,width_x,width_y,clip_sig=1.5) ; actual median width = 2x+1 vs. 2y+1
;;    image_med=loess_mod_xy(image,width_x,width_y,1,floor=-100.) ; width_x and _y should be in odd number
  
  image_bg=image-image_med

; irc_mmm,image_bg,sky_mode,sigma
  sigma=robust_sigma(image_bg)

end
