pro plot_spec_cohen,cohen_lambda,cohen_flux,cohen_d_flux,wave_array_shift, $
                    mJy=mjy,watt=watt,lambda2=lambda2, $
                    with_image=with_image,space_shift=space_shift,nsum=nsum,_extra=extra_keywords
  if keyword_set(with_image) then begin
     plot_spec,cohen_lambda,cohen_flux, $
               mJy=mjy,watt=watt,lambda2=lambda2,psym=0,/oplot,color=!IRC_SPECRED_COLOR.white, $
               xrange=[wave_array_shift[0],wave_array_shift[n_elements(wave_array_shift)-1]], $
               _extra=extra_keywords,space_shift=space_shift,nsum=nsum
     plot_spec,cohen_lambda,cohen_flux, $
               mjy=mjy,watt=watt,lambda2=lambda2,psym=4,/oplot,color=!IRC_SPECRED_COLOR.white, $
               xrange=[wave_array_shift[0],wave_array_shift[n_elements(wave_array_shift)-1]], $
               space_shift=space_shift,nsum=nsum,_extra=extra_keywords
                                ; plot cohen template error
     plot_spec,cohen_lambda,cohen_flux-cohen_d_flux,cohen_flux+cohen_d_flux, $
               mjy=mjy,watt=watt,lambda2=lambda2,/errory,color=!IRC_SPECRED_COLOR.white,width=0, $
               xrange=[wave_array_shift[0],wave_array_shift[n_elements(wave_array_shift)-1]], $
               space_shift=space_shift,nsum=nsum,_extra=extra_keywords
     
  endif else begin
     plot_spec,cohen_lambda,cohen_flux, $
               mJy=mjy,watt=watt,lambda2=lambda2,/oplot, $
               xrange=!IRC_SPECRED_SPECPARAM.w_cover,psym=0,color=!IRC_SPECRED_COLOR.white, $
               _extra=extra_keywords,space_shift=space_shift,nsum=nsum
     plot_spec,cohen_lambda,cohen_flux, $
               mjy=mjy,watt=watt,lambda2=lambda2,psym=4,color=!IRC_SPECRED_COLOR.white,/oplot, $
               xrange=!IRC_SPECRED_SPECPARAM.w_cover, $
               space_shift=space_shift,nsum=nsum,_extra=extra_keywords
                                ; plot cohen template error
     plot_spec,cohen_lambda,cohen_flux-cohen_d_flux,cohen_flux+cohen_d_flux, $
               mjy=mjy,watt=watt,lambda2=lambda2,psym=0,color=!IRC_SPECRED_COLOR.white,/errory, $
               xrange=!IRC_SPECRED_SPECPARAM.w_cover, $
               width=0,space_shift=space_shift,nsum=nsum,_extra=extra_keywords

  endelse
  
end
